package com.heyu.api.data.service.bank;
/**
* <p>
* 银行卡号校验记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.bank.BankCardDataEntity;
public interface BankCardDataService extends IService<BankCardDataEntity> {



	BankCardDataEntity selectBankCardDataById(Long id);


	Long insertBankCardData(BankCardDataEntity bankCardData);


	Long insertOrUpdateBankCardData(BankCardDataEntity bankCardData);


	int updateBankCardDataById(BankCardDataEntity bankCardData);


	int updateCoverBankCardDataById(BankCardDataEntity bankCardData);


	int deleteBankCardDataById(Long id);


}